mandb(8)

NAME
mandb - erzeugt oder aktualisiert die Indexdatenbank

SYNTAX
mandb [-dqsuc|-h|-V ] [Pfad]

BESCHREIBUNG
Um die interne Indexdatenbank, die von man verwendet wird, zu initialisieren oder auf den neusten Stand zu bringen, wird mandb verwendet. Die Indexdatenbank enthält Informationen über den aktuellen Zustand der Manualseiten. Wenn eine Indexdatenbank erzeugt oder erneuert werden soll, warnt mandb vor möglichen Inkonsistenzen, Seiten ohne nroff-Quelle oder Seiten ohne whatis- Beschreibungen. Wenn mandb beim Aufruf ein optionaler, durch Doppelpunkte abgetrennter Pfad übergeben wird, so wird der interne durch die Konfigurationsdatei bestimmte Manualpfad verdeckt.

INDEXDATENBANKEN
Von mandb wird einer der folgenden Datenbanktypen verwendet (Auswahl während der Übersetzungszeit):
Name | Typ | asyncron | Dateiname
Berkeley db | Binärbaum | Ja | index.bt
GNU gdbm v >= 1.6 | Hashtabelle | Ja | index.db
GNU gdbm v < 1.6 | Hashtabelle | Nein | index.db
UNIX ndbm | Hashtabelle | Nein | index.(dir|pag)
Die Datenbanktypen, die asyncrone Veränderungen erlauben, erlauben eine höhere Geschwindigkeit zulasten der Möglichkeit, daß bei einer nichtgewöhlichen Beendung des Programms die Datenbank fehlerhaft sein kann. In diesem seltenen Fall kann es nötig sein, mandb mit der -c Option zu starten, um die Datenbanken von Grund auf neu zu erstellen.

OPTIONEN

-d, --debug
    Erzeugt Debug-Informationen.

-q, --quiet
    Unterdrückt die Warnungen.

-s, --no-straycats
    Beachtet beim Aufbau keine cat-Seiten ohne zugehörige nroff-Quellen (sog. stray-cats).

-c, --create
    Im Normalfall versucht mandb zunächst eine bestehende Datenbank auf den aktuellen Stand zu bringen und erzeugt eine neue nur dann, wenn noch keine solche existiert. Durch Angabe dieser Option wird mandb dazu gezwungen, die Datenbank von Grund auf neu zu erstellen.

-u, --user-db
    Erzeugt nur die benutzerspezifischen Datenbanken, selbst wenn Schreibrechte auf systemweite Manualhierarchien bestehen.

-h, --help
    Zeigt einen Hilfstext an.

-V, --version
    Zeigt Programmversion und Autor an.

DATEIEN

/var/catman/.../index.(bt|db|dir|pag)
    Die FSSTND complianten globalen Indexdatenbanken.

/usr/man/.../whatis
    Traditionelle whatis Datenbank.

SIEHE AUCH
man(1), manpath(5), catman(8).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk), die deutsche Übersetzung ist von Anke Steuernagel (a_steuer@informatik.uni-kl.de) und Nils Magnus (magnus@informatik.uni-kl.de).